{
    "class": "Workflow",
    "requirements": [
        {
            "class": "InlineJavascriptRequirement"
        }
    ],
    "inputs": [
        {
            "type": "File",
            "id": "#main/i"
        }
    ],
    "steps": [
        {
            "in": [
                {
                    "source": "#main/i",
                    "id": "#main/step1/i"
                }
            ],
            "out": [
                "#main/step1/o"
            ],
            "run": {
                "class": "ExpressionTool",
                "inputs": [
                    {
                        "type": "File",
                        "inputBinding": {
                            "loadContents": true
                        },
                        "id": "#main/step1/eb20cab9-9162-45d2-9023-008b7dd43ef3/i"
                    }
                ],
                "outputs": [
                    {
                        "type": {
                            "type": "array",
                            "items": "string"
                        },
                        "id": "#main/step1/eb20cab9-9162-45d2-9023-008b7dd43ef3/o"
                    }
                ],
                "expression": "${return {'o': inputs.i.contents.split(\" \")};}\n",
                "id": "#main/step1/eb20cab9-9162-45d2-9023-008b7dd43ef3"
            },
            "id": "#main/step1"
        },
        {
            "in": [
                {
                    "source": "#main/step1/o",
                    "id": "#main/step2/i"
                }
            ],
            "out": [
                "#main/step2/o"
            ],
            "run": {
                "class": "CommandLineTool",
                "inputs": [
                    {
                        "type": {
                            "type": "array",
                            "items": "string"
                        },
                        "inputBinding": {
                            "position": 1
                        },
                        "id": "#main/step2/61ce47ad-619e-42d6-b183-1b728c16d93b/i"
                    }
                ],
                "outputs": [
                    {
                        "type": {
                            "type": "array",
                            "items": "File"
                        },
                        "outputBinding": {
                            "glob": "$(inputs.i)"
                        },
                        "id": "#main/step2/61ce47ad-619e-42d6-b183-1b728c16d93b/o"
                    }
                ],
                "baseCommand": "touch",
                "id": "#main/step2/61ce47ad-619e-42d6-b183-1b728c16d93b"
            },
            "id": "#main/step2"
        }
    ],
    "id": "#main",
    "outputs": [
        {
            "type": {
                "type": "array",
                "items": "File"
            },
            "outputSource": "#main/step2/o",
            "id": "#main/o"
        }
    ],
    "cwlVersion": "v1.0"
}
